      SUBROUTINE SEND_COMMON_ASSEMBLE5(CONNID,nx,HOST,ERROR,*)

C#### Subroutine: SEND_COMMON_ASSEMBLE5
C###  Description:
C###    SEND_COMMON_ASSEMBLE5 performs parallel processing for
C###    ASSEMBLE5. Passes common blocks to
C###    element stiffness matrix calculating slave process.
C**** NOTE: changes to this code must be reflected in FE_PARALLEL.F

      IMPLICIT NONE
      INCLUDE 'acti01.cmn'
      INCLUDE 'aero00.cmn'
      INCLUDE 'b00.cmn'
      INCLUDE 'b01.cmn'
      INCLUDE 'b12.cmn'
      INCLUDE 'b13.cmn'
      INCLUDE 'b14.cmn'
      INCLUDE 'cmis00.cmn'
      INCLUDE 'diag00.cmn'
      INCLUDE 'disp00.cmn'
      INCLUDE 'four00.cmn'
      INCLUDE 'fsklib.inc'
      INCLUDE 'geom00.cmn'
      INCLUDE 'ipma50.cmn'
      INCLUDE 'ityp00.cmn'
      INCLUDE 'jtyp00.cmn'
      INCLUDE 'ktyp00.cmn'
      INCLUDE 'ktyp50.cmn'
      INCLUDE 'loc00.cmn'
      INCLUDE 'loc00.inc'
      INCLUDE 'lvpr00.cmn'
      INCLUDE 'mxch.inc'
      INCLUDE 'nonl00.cmn'
      INCLUDE 'opti00.cmn'
      INCLUDE 'trac00.cmn'
!     Parameter List
      INTEGER CONNID,nx
      CHARACTER HOST*(*),ERROR*(*)
!     Local Variables
C      INTEGER
C     '  ADATA_C,ADEFLT_C,AYES_C,ANO_C,
C     '  CDATA_C(500),CDEFLT_C(500),CBLANK_C(500),
C     '  FORMAT_C(500),
C     '  CMAT5_C(30),
      INTEGER CSEG_TEMP_C(60),ELEM_NUM_C(10),
     '  CMISS_C(4),
     '  EXAMPLES_DIR_C(100),
     '  IMAGE_NAME_C(100),
     '  OS_TYPE_C(30),WINDOW_TYPE_C(30),
     '  i,j,L,nr,
     '  SUBNAM_C(60),
     '  SB_C(80),TRSB_C(10),
     '  TEMP_STR_C(18)
      CHARACTER C1*30,OS_TYPE_UNIX*30,OS_TYPE_VMS*30,TEMP_STR*18
      DATA OS_TYPE_UNIX/'UNIX'/, OS_TYPE_VMS/'VMS '/

      CALL ENTERS('SEND_COMMON_ASSEMBLE5',*9999)

C *** Send nx to remote process
      IF(FSKWRITE(nx,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write geom00.cmn  (changes here must be reflected in FE_PARALLEL)
C *** NRT must be received first for other arrays
      IF(FSKWRITE(NRT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NAM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NBM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NCM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NDM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NEM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NELM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NEPM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NNEPM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NGRSEGM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NE_R_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NFM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NF_R_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NGM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NHM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIFEXTM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISR_GDM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISR_GKM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISR_GKKM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISR_GQM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISC_GDM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISC_GKM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISC_GKKM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NISC_GQM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIYM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIYFIXM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NJM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NKM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NLM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NL_R_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NMM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NNM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NPM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NP_R_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NQM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NRM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NSM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NTM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NUM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NVM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NWM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NXM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NYM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NY_R_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C PJH 14/6/98 IF(FSKWRITE(NZM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_FNY_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GD_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GK_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GKK_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GM_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GMM_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_GQ_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NBFM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NCOM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NDEM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIQM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NLCM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOPM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NORM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOYM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NPDM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NRCM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NREM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NYOM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NLISTM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOOPM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NZ_MINOSM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIMAGEM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NYROWM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NY_TRANSFER_M,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_BEM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_DATA,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_GRAPHICS,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_GRID,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_LUNG,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_MINOS,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_NLSTRIPE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_NONLIN,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_NPSOL,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_OPTI,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_SPARSE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_TRANSFER,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NBT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NBFT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NCT(0,nx),SK_LONG_INT,NRT+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NDT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NET(0),SK_LONG_INT,NRT+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NFT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NJT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NLT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      DO nr=0,NRT
        IF(FSKWRITE(NOT(1,1,nr,nx),SK_LONG_INT,2,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO !nr
      IF(FSKWRITE(NPT(0),SK_LONG_INT,NRT+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NQT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NXT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      DO j=1,4
        IF(FSKWRITE(NYT(0,j,nx),SK_LONG_INT,3,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NZT(1,nx),SK_LONG_INT,4,CONNID).EQ.-1) GOTO 9999
      DO nr=0,NRT
        IF(FSKWRITE(NZZT(1,nr,nx),SK_LONG_INT,4,CONNID).EQ.-1) GOTO 9999
      ENDDO !nr
      IF(FSKWRITE(NPDT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NABTYP,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NAT,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      DO i=0,20
        IF(FSKWRITE(NBASEF(1,i),SK_LONG_INT,20,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NBI,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      DO i=1,NBT
        IF(FSKWRITE(NFBASE(1,i),SK_LONG_INT,2,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NFE,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NGT,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NIT,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      DO i=1,NBT
        IF(FSKWRITE(NKT(0,i),SK_LONG_INT,19,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NLE,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NNT,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NST,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NUT,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NBC,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      DO i=1,NBT
        IF(FSKWRITE(NBSC(1,i),SK_LONG_INT,4,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NBCD,SK_LONG_INT,NBT,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NMGT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write acti01.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NTACTV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DEL_T,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TV_SLO,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(YIELDR,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(SNLPA,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ACOEFF,SK_DOUBLE_FLOAT,3,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ALFA,SK_DOUBLE_FLOAT,3,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TIME,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DTIME,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TBDRY,SK_DOUBLE_FLOAT,100,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(Tref,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(T0_beta,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(Ca_c50,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(Ca_h,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(Ca_max,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999

C *** Write aero00.cmn  (changes here must be reflected in FE_PARALLEL)
      DO i=1,2
        IF(FSKWRITE(NL_AERO(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NL_WAKE(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NL_EXIT(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NE_AERO(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NE_WAKE(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NP_WAKE(0,i),SK_LONG_INT,101,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      IF(FSKWRITE(NP_ENTRY(0),SK_LONG_INT,31,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NB_AERO_PRESS,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NP_aero_LE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NP_aero_TE1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NP_aero_TE2,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(FLUID_DENSITY,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(REF_VELOC,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(TOT_DRAG,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(TOT_LIFT,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(CIRCULATION,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      DO i=1,20
        IF(FSKWRITE(PRESS_DIFF_AERO(1,i),SK_DOUBLE_FLOAT,25,CONNID)
     '    .EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(PRESS_DIFF_WAKE,SK_DOUBLE_FLOAT,25,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(AERO_PERIM,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(LIFT_COEFF,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(TE_VELOC_DIFF,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(dPHI_resid,SK_DOUBLE_FLOAT,25,CONNID).EQ.-1)
     '  GOTO 9999

C *** Write b00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(IMIN,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IMAX,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(PI,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(RMIN,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(RMAX,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(RDELTA,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999

C *** Write b01.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(IVDU,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IFILE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IO1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IO2,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IO3,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IO4,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DOP,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write b12.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(BINTIMEFILE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DT,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TINCR,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(T0,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(T1,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TFINISH,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(THETA,SK_DOUBLE_FLOAT,3,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TOLFAC,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TSTART,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DIFF_INTERVAL,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(T_RESTART,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999

C *** Write b13.cmn  (changes here must be reflected in FE_PARALLEL)
      DO nr=1,NRT
        DO i=1,12
          IF(FSKWRITE(ILP(1,i,nr,nx),SK_LONG_INT,35,CONNID).EQ.-1)
     '      GOTO 9999
        ENDDO !i
      ENDDO !nr
      DO nr=1,NRT
        IF(FSKWRITE(ILT(1,nr,nx),SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      ENDDO !nr
      IF(FSKWRITE(IMT,SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NGP,SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NGPP,SK_LONG_INT,4,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NMP,SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      DO i=1,5
        IF(FSKWRITE(NMPP(1,i),SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(NLP,SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NVE,SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      DO i=1,12
        DO j=1,6
          IF(FSKWRITE(NHT40(1,j,i),SK_LONG_INT,3,CONNID).EQ.-1)
     '      GOTO 9999
        ENDDO
      ENDDO
      DO i=1,6
        IF(FSKWRITE(NHT50(1,i),SK_LONG_INT,3,CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=1,12
        IF(FSKWRITE(NHV(1,i),SK_LONG_INT,6,CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=1,12
        IF(FSKWRITE(NMB(1,i,nx),SK_LONG_INT,35,CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=1,5
        IF(FSKWRITE(NTPP(1,i),SK_LONG_INT,12,CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=1,12
        IF(FSKWRITE(IT(1,i),SK_LONG_INT,3,CONNID).EQ.-1) GOTO 9999
      ENDDO

C *** Write b14.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(FOCUS,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999

C *** Write cbdi02.cmn
C!!!  Don't need to write this common block

C *** Write cmis00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(CONNID1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CONNID2,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NUM_LIBRARY,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(PORT1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(PORT2,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      L=FSKLEN(CMISS)
      CALL FSKF2C(CMISS,L,CMISS_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CMISS_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_SOCKET,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(USE_SOCKET_DUMMY,SK_LONG_INT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(ECHO_OUTPUT,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write ctrl00.cmn
C!!!  Don't need to write this common block

C *** Write diag00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NT_SUB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NUM_STACK,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      DO i=1,NT_SUB
        L=FSKLEN(SUBNAM(i))
        CALL FSKF2C(SUBNAM(i),L,SUBNAM_C)
        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(SUBNAM_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      ENDDO
      IF(FSKWRITE(ALLSUB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DIAGNO,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DOP_STACK,SK_LONG_INT,MX_DOP_STACK,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(FROMSUB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write disp00.cmn  (changes here must be reflected in FE_PARALLEL)
      L=FSKLEN(EXAMPLES_DIR)
      CALL FSKF2C(EXAMPLES_DIR,L,EXAMPLES_DIR_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(EXAMPLES_DIR_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      L=FSKLEN(IMAGE_NAME)
      CALL FSKF2C(IMAGE_NAME,L,IMAGE_NAME_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IMAGE_NAME_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      CALL CUPPER(HOST(1:3),C1)
C      IF(CUPPER(HOST(1:3)).EQ.'ESU') THEN
      IF(C1.EQ.'ESU') THEN
        !if the remote host is a unix machine then send OS_TYPE_UNIX
        L=FSKLEN(OS_TYPE_UNIX)
        CALL FSKF2C(OS_TYPE_UNIX,L,OS_TYPE_C)
        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(OS_TYPE_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      ELSE
        !otherwise send OS_TYPE_VMS
        L=FSKLEN(OS_TYPE_VMS)
        CALL FSKF2C(OS_TYPE_VMS,L,OS_TYPE_C)
        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(OS_TYPE_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      ENDIF
      L=FSKLEN(WINDOW_TYPE)
      CALL FSKF2C(WINDOW_TYPE,L,WINDOW_TYPE_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(WINDOW_TYPE_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999

C *** Write four00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NPPF,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(OMEGA,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999

C not needed for parallel proc
C *** Write inout00.cmn  (changes here must be reflected in FE_PARALLEL)
C      IF(FSKWRITE(IDATA(0),SK_LONG_INT,1+IOIMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IDEFLT,SK_LONG_INT,IOIMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IZERO,SK_LONG_INT,IOIMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IONE,SK_LONG_INT,IOIMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IOCM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IOAM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IOLM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IOIM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(IORM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(RDATA,SK_DOUBLE_FLOAT,IORMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(RDEFLT,SK_DOUBLE_FLOAT,IORMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(RZERO,SK_DOUBLE_FLOAT,IORMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(RONE,SK_DOUBLE_FLOAT,IORMX,CONNID).EQ.-1) GOTO 9999
C      DO i=1,IOAMX
C        L=FSKLEN(ADATA(i))
C        CALL FSKF2C(ADATA(i),L,ADATA_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(ADATA_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOAMX
C        L=FSKLEN(ADEFLT(i))
C        CALL FSKF2C(ADEFLT(i),L,ADEFLT_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(ADEFLT_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOAMX
C        L=FSKLEN(AYES(i))
C        CALL FSKF2C(AYES(i),L,AYES_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(AYES_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOAMX
C        L=FSKLEN(ANO(i))
C        CALL FSKF2C(ANO(i),L,ANO_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(ANO_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOCMX
C        L=FSKLEN(CDATA(i))
C        CALL FSKF2C(CDATA(i),L,CDATA_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(CDATA_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOCMX
C        L=FSKLEN(CDEFLT(i))
C        CALL FSKF2C(CDEFLT(i),L,CDEFLT_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(CDEFLT_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      DO i=1,IOCMX
C        L=FSKLEN(CBLANK(i))
C        CALL FSKF2C(CBLANK(i),L,CBLANK_C)
C        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C        IF(FSKWRITE(CBLANK_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      ENDDO
C      L=FSKLEN(FORMAT)
C      CALL FSKF2C(FORMAT,L,FORMAT_C)
C      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(FORMAT_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(LDATA,SK_LONG_INT,IOLMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(LDEFLT,SK_LONG_INT,IOLMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(LTRUE,SK_LONG_INT,IOLMX,CONNID).EQ.-1) GOTO 9999
C      IF(FSKWRITE(LFALSE,SK_LONG_INT,IOLMX,CONNID).EQ.-1) GOTO 9999

C *** Write ipma50.cmn  (changes here must be reflected in FE_PARALLEL)
C not needed for parallel proc
C      DO i=1,3
C        DO j=1,3
C          IF(FSKWRITE(IMAT5(1,j,i),SK_LONG_INT,5,CONNID).EQ.-1)
C     '      GOTO 9999
C        ENDDO
C      ENDDO
      IF(FSKWRITE(IL_thickness,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IL_sarcomere,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IL_time_delay,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IL_fluid_conductivity,SK_LONG_INT,1,CONNID).EQ.-1)
     '  GOTO 9999
C not needed for parallel proc
C      DO i=1,3
C        DO j=1,3
C          DO k=1,5
C            IF(FSKWRITE(RMAT5(1,k,j,i),SK_DOUBLE_FLOAT,35,CONNID).EQ.
C     '        -1) GOTO 9999
C          ENDDO
C        ENDDO
C      ENDDO
C      DO i=1,3
C        DO j=1,3
C          DO k=1,5
C            DO m=1,35
C              L=FSKLEN(CMAT5(m,k,j,i))
C              CALL FSKF2C(CMAT5(m,k,j,i),L,CMAT5_C)
C              IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
C              IF(FSKWRITE(CMAT5_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
C            ENDDO
C          ENDDO
C        ENDDO
C      ENDDO

C *** Write ityp00.cmn  (changes here must be reflected in FE_PARALLEL)
      DO nr=1,NRT
        IF(FSKWRITE(ITYP1(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP2(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP3(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP4(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP5(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP6(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP7(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP8(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP9(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP10(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP11(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP12(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP13(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP14(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(ITYP15(nr,nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      ENDDO !nr

C *** Write jtyp00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(JTYP1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP2A,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP2B,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP2C,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP3,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP4,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP5,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP6,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP7,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP8,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP9,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP10,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP11,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP12,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP13,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP14,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP15,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP16,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP17,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(JTYP18,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write ktyp00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(KTYP1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP2,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP3,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP4,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP5,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP6,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP7,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP8,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP9,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP10,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP11,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP12,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP13,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP14,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP15,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP16,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP17,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP18,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP19,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP1A,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP1B,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP1C,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP1D,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP1E,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP20,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP21,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP22,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP23,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP24,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP25,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP26,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP27,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP28,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP29,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP3_equa(nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP3_init(nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(KTYP3_mate(nx),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write ktyp50.cmn  (changes here must be reflected in FE_PARALLEL)
      DO nr=1,NRT
        IF(FSKWRITE(KTYP50(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP51(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP52(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP53(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP54(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP55(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP56(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP57(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP58(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP59(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP5A(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP5B(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP5C(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP5D(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(KTYP5E(nr),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      ENDDO !nr

C *** Write loc00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NJ_LOC(0,0,0),SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      DO nr=1,NRT
        DO i=0,NJ_LOC_MX
          IF(FSKWRITE(NJ_LOC(0,i,nr),SK_LONG_INT,4,CONNID).EQ.-1)
     '      GOTO 9999
        ENDDO
      ENDDO !nr
      DO i=1,2
        IF(FSKWRITE(NJ_TYPE(1,i),SK_LONG_INT,3*NJ_LOC_MX,
     '    CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=0,9
        IF(FSKWRITE(NH_LOC(0,i),SK_LONG_INT,1+NH_LOC_MX,CONNID).EQ.-1)
     '    GOTO 9999
      ENDDO
      DO i=1,2
        IF(FSKWRITE(NH_TYPE(1,i),SK_LONG_INT,19,CONNID).EQ.-1)
     '     GOTO 9999
      ENDDO
      IF(FSKWRITE(NX_CLASS,SK_LONG_INT,9,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NX_LIST(0),SK_LONG_INT,10,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NX_LOCKS,SK_LONG_INT,9,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NX_TYPE,SK_LONG_INT,9,CONNID).EQ.-1) GOTO 9999

C *** Write lvpr00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NRCAVITY,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(PCAVITY,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(VCAVITY,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(VUNDEF,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(VREF,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(VINCR,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(VPREV,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TOPEN,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CARTERY,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(RARTERY,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999

C *** Write nonl00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NOSTEP,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write opti00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NTOPTI,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NTCNTR,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NT_RES,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NRAELE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NTHELE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      DO i=1,2
        IF(FSKWRITE(NPJOIN(0,i),SK_LONG_INT,101,CONNID).EQ.-1) GOTO 9999
      ENDDO
      DO i=1,2
        DO j=1,100
          IF(FSKWRITE(NPRAD(-1,j,i),SK_LONG_INT,12,CONNID).EQ.-1)
     '      GOTO 9999
        ENDDO
      ENDDO
      IF(FSKWRITE(NPSHARE(0),SK_LONG_INT,11,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CONSTRAINT_TYPE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DBGLEV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ISEG_TEMP,SK_LONG_INT,2000,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(N_OPTI,SK_LONG_INT,4,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IPDLEV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IPPLEV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(IPVLEV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ISRCCV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ISROCV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ISPCCV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ISPOCV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ITERLM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(MIITLM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(MJITLM,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(FUNC,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NLFTOL,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(THETA_SAT,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(OPTTOL,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(LINEMAX,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CDMIN,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CDMAX,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(CONSTRAINT_VALUE,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1)
     '  GOTO 9999
      IF(FSKWRITE(NPMIN,SK_DOUBLE_FLOAT,3,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NPMAX,SK_DOUBLE_FLOAT,3,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(UPPER_BOUND,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(LNSTOL,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(DIFFER,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      DO i=1,2000
        L=FSKLEN(CSEG_TEMP(i))
        CALL FSKF2C(CSEG_TEMP(i),L,CSEG_TEMP_C)
        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(CSEG_TEMP_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      ENDDO
      L=FSKLEN(ELEM_NUM)
      CALL FSKF2C(ELEM_NUM,L,ELEM_NUM_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(ELEM_NUM_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(SPARSEJAC,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(SUMMFILE,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(WARMST,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C *** Write time02.cmn
C!!!  Don't need to write this common block

C *** Write trac00.cmn  (changes here must be reflected in FE_PARALLEL)
      IF(FSKWRITE(NOLV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOSB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOSBLV,SK_LONG_INT,MXLV,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NOSBSM,SK_LONG_INT,M1SB,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NTLV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NTSB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NXLV,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(NXSB,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TMST,SK_DOUBLE_FLOAT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TMEL,SK_DOUBLE_FLOAT,MXLV,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TMELSM,SK_DOUBLE_FLOAT,M1SB,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TMEN,SK_DOUBLE_FLOAT,MXLV,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TMTLSM,SK_DOUBLE_FLOAT,M1SB,CONNID).EQ.-1) GOTO 9999
      DO i=1,M1SB
        L=FSKLEN(SB(i))
        CALL FSKF2C(SB(i),L,SB_C)
        IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
        IF(FSKWRITE(SB_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      ENDDO
      L=FSKLEN(TRSB)
      CALL FSKF2C(TRSB,L,TRSB_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TRSB_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TR01,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TR02,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TR03,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TR04,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999

C     Send a flag string to check common block transfer was OK
      TEMP_STR='COMMON TRANSFER OK'
      L=FSKLEN(TEMP_STR)
      CALL FSKF2C(TEMP_STR,L,TEMP_STR_C)
      IF(FSKWRITE(L+1,SK_LONG_INT,1,CONNID).EQ.-1) GOTO 9999
      IF(FSKWRITE(TEMP_STR_C,SK_CHAR,L+1,CONNID).EQ.-1) GOTO 9999

      CALL EXITS('SEND_COMMON_ASSEMBLE5')
      RETURN
 9999 ERROR='>>Socket Error'
      CALL ERRORS('SEND_COMMON_ASSEMBLE5',ERROR)
      CALL EXITS('SEND_COMMON_ASSEMBLE5')
      RETURN 1
      END


